# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlJPG.hpp File Reference

`#include "vl/Object.hpp"`
`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`

## Classes

class | vl::LoadWriterJPG
| The LoadWriterJPG class is a ResourceLoadWriter capable of reading JPG files. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | ioJPG_INCLUDE_ONCE

## Functions

ref< Image > | vl::loadJPG (VirtualFile *file)
ref< Image > | vl::loadJPG (const String &path)
bool | vl::isJPG (VirtualFile *file)
bool | vl::saveJPG (const Image *src, const String &path, int quality=95)
bool | vl::saveJPG (const Image *src, VirtualFile *file, int quality=95)

## Define Documentation

#define ioJPG_INCLUDE_ONCE

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.